<div fxLayout="column" fxLayoutGap="20px">
  <div fxLayout="row" fxLayoutAlign="start center">
    <h3 fxLayoutAlign="start center"><mat-icon>feedback</mat-icon> {{ 'COMPONENTS.FEEDBACK.HEADLINE' | translate }}</h3>
  </div>

  <mat-divider></mat-divider>

  <div fxLayout="column" fxLayoutGap="20px">
    <strong>{{ 'COMPONENTS.FEEDBACK.HINT_TEXT' | translate }}:</strong>
    <ul class="hint-ul">
      <li>{{ 'COMPONENTS.FEEDBACK.HINT1' | translate }}</li>
      <li>{{ 'COMPONENTS.FEEDBACK.HINT2' | translate }}</li>
      <li>
        {{ 'COMPONENTS.FEEDBACK.HINT3' | translate }}<span class="text-orange">{{ 'COMPONENTS.FEEDBACK.HINT3_2' | translate }}</span
        >{{ 'COMPONENTS.FEEDBACK.HINT3_3' | translate }}
      </li>
      <li>{{ 'COMPONENTS.FEEDBACK.HINT4' | translate }}</li>
      <li>{{ 'COMPONENTS.FEEDBACK.HINT5' | translate }}</li>
    </ul>

    <mat-divider></mat-divider>

    <mat-form-field>
      <mat-select placeholder="{{ 'COMPONENTS.FEEDBACK.IMPROVEMENT' | translate }}">
        <mat-option *ngFor="let improvement of improvements" (click)="setImprovements(improvement)"> {{ improvement.value | translate }} </mat-option>
      </mat-select>
    </mat-form-field>

    <div *ngIf="selectedImprovement" fxLayout="column" fxLayoutGap="20px">
      <strong>{{ 'COMPONENTS.FEEDBACK.CORRECTION' | translate }}:</strong>

      <mat-form-field *ngIf="selectedImprovement.type === errortype.wrongPetrolStationName">
        <input #improvement matInput type="text" placeholder="{{ selectedImprovement.value | translate }}" value="{{ station.name }}" />
      </mat-form-field>

      <div *ngIf="selectedImprovement.type === errortype.wrongStatusOpen">
        <mat-checkbox #improvement value="{{ station.isOpen }}">{{ 'COMPONENTS.FEEDBACK.OPEN' | translate }}</mat-checkbox>
      </div>

      <div *ngIf="selectedImprovement.type === errortype.wrongStatusClosed">
        <mat-checkbox #improvement value="{{ station.isOpen }}">{{ 'COMPONENTS.FEEDBACK.CLOSED' | translate }}</mat-checkbox>
      </div>

      <mat-form-field *ngIf="selectedImprovement.type === errortype.wrongPetrolStationBrand">
        <input matInput #improvement type="text" placeholder="{{ selectedImprovement.value | translate }}" value="{{ station.brand }}" />
      </mat-form-field>

      <mat-form-field *ngIf="selectedImprovement.type === errortype.wrongPetrolStationStreet">
        <input matInput #improvement type="text" placeholder="{{ selectedImprovement.value | translate }}" value="{{ station.street }}" />
      </mat-form-field>

      <mat-form-field *ngIf="selectedImprovement.type === errortype.wrongPetrolStationPostcode">
        <input matInput #improvement type="text" placeholder="{{ selectedImprovement.value | translate }}" value="{{ station.postalCode }}" />
      </mat-form-field>

      <mat-form-field *ngIf="selectedImprovement.type === errortype.wrongPetrolStationPlace">
        <input matInput #improvement type="text" placeholder="{{ selectedImprovement.value | translate }}" value="{{ station.place }}" />
      </mat-form-field>

      <section fxLayout="row" fxLayoutGap="10px" *ngIf="selectedImprovement.type === errortype.wrongPetrolStationLocation">
        <mat-form-field>
          <input matInput #lat type="text" placeholder="Breitengrad" value="{{ station.coords.lat }}" />
        </mat-form-field>
        <mat-form-field>
          <input matInput #lng type="text" placeholder="Längengrad" value="{{ station.coords.lng }}" />
        </mat-form-field>
      </section>
    </div>

    <div fxLayout="row" fxLayoutGap="10px">
      <button mat-raised-button type="button" (click)="backToStationDetails()">{{ 'COMPONENTS.FEEDBACK.BACK' | translate }}</button>
      <button mat-raised-button color="primary" (click)="sendFeedback()">{{ 'COMPONENTS.FEEDBACK.SEND' | translate }}</button>
    </div>
  </div>
</div>
